Subject: bug#617: initscripts: brightness init script sets brightness to zero, thus blanking laptop display

From: Martin Steigerwald <[email-masked]>
Date: Mon, 11 Oct 2021 22:19:22 +0200

Dear Mark.

Mark Hindley - 11.10.21, 19:06:44 CEST:
> The brightness initscript seems to save
> /sys/class/backlight/intel_backlight/brightness to
> /var/lib/initscripts/brightness when it is stopped.
> 
> On your system, what does the
> /sys/class/backlight/intel_backlight/brightness contain?

I can check tomorrow again. However… after I wrote "512" to the
"/var/lib/initscripts/brightness" file, brightness is set correctly after 
reboot. So I am not sure I can reproduce the original condition after 
the update anymore.

So or so, I think it would be good to ensure a minimum brightness level, 
as a completely blank display can only be fixed with a live Linux, SSH 
access or some other out of band management access.

Best,
-- 
Martin